kafka-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Harsha <ka...@harsha.io>
Subject EOL JDK 1.6 for Kafka
Date Wed, 01 Jul 2015 15:05:28 GMT
Hi, 
        During our SSL Patch KAFKA-1690. Some of the reviewers/users
        asked for support this config
https://docs.oracle.com/javase/8/docs/api/javax/net/ssl/SSLParameters.html#setEndpointIdentificationAlgorithm-java.lang.String-
It allows clients to verify the server and prevent potential MITM. This
api doesn't exist in Java 1.6. 
Are there any users still want 1.6 support or can we stop supporting 1.6
from next release on wards. 

Thanks,
Harsha

Mime
View raw message